/// <reference types="react" />
export declare type Action = {
    label: string;
    onClick: () => void;
};
export declare enum UnavailableWalletVisibility {
    SHOW_UNAVAILABLE = 0,
    HIDE_UNAVAILABLE = 1,
    SHOW_UNAVAILABLE_ON_MOBILE = 2
}
export declare type ConnectWalletButtonProps = {
    label?: string;
    disabled?: boolean;
    message?: string;
    supportedWallets?: Array<string>;
    showUnavailableWallets?: UnavailableWalletVisibility;
    alwaysVisibleWallets?: Array<string>;
    primaryColor?: string;
    borderRadius?: number;
    customCSS?: string;
    customActions?: Array<Action>;
    beforeComponent?: JSX.Element;
    afterComponent?: JSX.Element;
    hideActionMenu?: boolean;
    onConnect?: (walletName: string) => void;
    onDisconnect?: () => void;
    onSignMessage?: (signature: string, key: string | undefined) => void;
    onStakeAddressClick?: (stakeAddress: string) => void;
    onConnectError?: (walletName: string, error: ConnectWalletError) => void;
};
export declare type ConnectWalletListProps = {
    supportedWallets?: Array<string>;
    primaryColor?: string;
    borderRadius?: number;
    gap?: number;
    showUnavailableWallets?: UnavailableWalletVisibility;
    alwaysVisibleWallets?: Array<string>;
    customCSS?: string;
    onConnect?: (walletName: string) => void;
    onConnectError?: (walletName: string, error: ConnectWalletError) => void;
};
export declare enum ConnectWalletError {
    WalletExtensionNotFound = 0,
    EnablementFailed = 1
}
export interface CustomStyle {
    customCSS?: string;
}
export interface ButtonStyle {
    primaryColor: string;
    borderRadius?: number;
    customCSS?: string;
}
export interface DesktopMenuItemStyle {
    borderRadius?: number;
}
export interface MenuItemStyle {
    primaryColor: string;
    primaryColorLight: string;
    borderRadius?: number;
    gap?: number;
}
export declare type Wallet = {
    name: string;
    isEnabled: boolean;
    icon: string;
    apiVersion: string;
};
